<?php
/**
 * Helper class for List Names module
 * 
 * @package    Joomla.Tutorials
 * @subpackage Modules
 * @link http://dev.joomla.org/component/option,com_jd-wiki/Itemid,31/id,tutorials:modules/
 * @license        GNU/GPL, see LICENSE.php
 * mod_helloworld is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

class modListNamesHelper
{
	/**
	 * Retrieves items from the database
	 *
	 * @param integer $userCount The number of items to return
	 * @access public
	 */
	public function getItems( $userCount ) 
	{
		// Get a reference to the database
		$db =& JFactory::getDBO();

		// Get a list of $userCount randomly ordered users 
		$query = 'SELECT a.name FROM `#__users` AS a ORDER BY rand() LIMIT ' . $userCount  . '';

		$db->setQuery($query);
		$items = $db->loadObjectList()
		$items = ($items) ? $items : array();
		
		return $items;
	}
}